# norootforbuild

%define _prefix	/usr

Name:			mixxx
Summary:		An open source DJ tool
Version:		1.6.1
Release:		1.12
License:		GPL
Group:			Productivity/Multimedia/Sound/Players
URL:			http://mixxx.sourceforge.net/
Source0:		%{name}-%{version}-src.tar.gz
Patch:			%{name}-libdjconsole-check.diff
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-devel
BuildRequires:	audiofile-devel audiofile
BuildRequires:	freeglut-devel
BuildRequires:	glib2-devel
BuildRequires:	ladspa
BuildRequires:	libdjconsole-devel
#BuildRequires:	libffmpeg0-devel
BuildRequires:	libgpod-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libjack-devel >= 0.109
BuildRequires:	libmusicbrainz-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libshout-devel speex
BuildRequires:	libsndfile-devel
BuildRequires:	libusb
BuildRequires:	libvorbis-devel
%if 0%{?sles_version} == 10
BuildRequires: lua-devel
%else
BuildRequires: lua50-devel
%endif
BuildRequires:	mad-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	python-devel
BuildRequires:	qt-devel
BuildRequires:	scons
BuildRequires:	soundtouch-devel >= 1.3
BuildRequires:	tolua >= 5.0
#BuildRequires:	tolua-devel >= 5.0
BuildRequires:	update-desktop-files
BuildRequires:	zlib-devel
Requires:		alsa
Requires:		audiofile
Requires:		jack
%if 0%{?sles_version} == 10
Requires:              lua >= 5.0.2
%else
Requires:              lua50 >= 5.0.2
%endif
Requires:		mad
Requires:		python
Requires:		soundtouch >= 1.3
Requires:		tolua >= 5.0

%description
Mixxx is designed for DJ'ing for both professional and
semi-professional users.
Mixxx was started in early 2001 as one of the first digital
DJ systems.

Today Mixxx includes many features common to digital DJ solutions,
but also some very unique features: It is free, and runs on all
major desktop operating systems.

Furthermore Mixxx has a number of key features to help the DJ in
the live mix: Beat estimation, parallel visual displays, and
support for many DJ input controllers.

Mixxx is software for DJ'ing. You can use wave based audio files,
Ogg Vorbis and MP3 files as audio input. Mixxx can be controlled
through the GUI and with external controllers including MIDI
devices, joysticks and more.

Author: <tuehaste@users.sourceforge.net>

%package skin-hercules
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-hercules
A skin for mixxx.

%package skin-outlineClose
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-outlineClose
A skin for mixxx.

%package skin-outline
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-outline
A skin for mixxx.

%package skin-outlineMini
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-outlineMini
A skin for mixxx.

%package skin-nCut
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-nCut
A skin for mixxx.

%package skin-Collusion
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-Collusion
A skin for mixxx.

%package skin-traditional
Summary:	A skin for mixxx
Group:		Productivity/Multimedia/Sound/Players
Requires:	%{name} = %{version}

%description skin-traditional
A skin for mixxx.

%debug_package

%prep
%setup -q -n %{name}-%{version}
%patch
%{?suse_update_config:%{suse_update_config -f}}

%build
scons %{?jobs:-j%{jobs}} \
	prefix=%{_prefix} \
	%if 0%{?sles_version} == 10
	qtdir=%{_datadir}/qt \
	%endif
	djconsole=1 \
	hifieq=1 \
	experimentalrecord=1 \
	cmetrics=1 \
	ladspa=1 \
	vinylcontrol=1 \
	ffmpeg=0 \
	shoutcast=1 \
	ipod=1 \
	script=0

%install
# copy mixxx binary
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
	%{buildroot}%{_bindir}

# copy skins to %{_datadir}/%{name}
%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__cp -a src/skins \
	%{buildroot}%{_datadir}/%{name}

# copy midi config files
%__install -dm 755  %{buildroot}%{_datadir}/%{name}/midi
%__install -m 644 src/midi/* \
	%{buildroot}%{_datadir}/%{name}/midi

# copy keyboard config files
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/keyboard
%__install -m 644 src/keyboard/* \
	%{buildroot}%{_datadir}/%{name}/keyboard

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 src/%{name}-icon.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# Desktop file
%__rm -f src/%{name}.desktop
%__cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Mixxx
Comment=A digital DJ interface
Exec=%{name}
Icon=%{name}
Terminal=0
Type=Application
EOF
%suse_update_desktop_file -i %{name} AudioVideo Player Jukebox

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc COPYING LICENSE Mixxx-Manual.pdf README* HERCULES.txt
%{_bindir}/%{name}
%exclude %{_datadir}/%{name}/skins/hercules
%exclude %{_datadir}/%{name}/skins/outline
%exclude %{_datadir}/%{name}/skins/outlineClose
%exclude %{_datadir}/%{name}/skins/outlineMini
%exclude %{_datadir}/%{name}/skins/traditional
%exclude %{_datadir}/%{name}/skins/nCut
%exclude %{_datadir}/%{name}/skins/Collusion*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/skins
%{_datadir}/%{name}/skins/skin.xsl
%{_datadir}/%{name}/skins/README.xsl
%{_datadir}/%{name}/skins/cross.*
%dir %{_datadir}/%{name}/skins/outlineSmall
%{_datadir}/%{name}/skins/outlineSmall/*
%dir %{_datadir}/%{name}/midi
%{_datadir}/%{name}/midi/*
%dir %{_datadir}/%{name}/keyboard
%{_datadir}/%{name}/keyboard/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files skin-hercules
%defattr(-,root,root)
%dir %{_datadir}/%{name}/skins/hercules
%{_datadir}/%{name}/skins/hercules/*

%files skin-outline
%defattr(-,root,root)
%dir %{_datadir}/%{name}/skins/outline
%{_datadir}/%{name}/skins/outline/*

%files skin-outlineClose
%defattr(-,root,root)
%dir %{_datadir}/%{name}/skins/outlineClose
%{_datadir}/%{name}/skins/outlineClose/*

%files skin-outlineMini
%defattr(-,root,root)
%dir %{_datadir}/%{name}/skins
%dir %{_datadir}/%{name}/skins/outlineMini
%{_datadir}/%{name}/skins/outlineMini/*

%files skin-traditional
%defattr(-,root,root)
%dir %{_datadir}/%{name}/skins
%dir %{_datadir}/%{name}/skins/traditional
%{_datadir}/%{name}/skins/traditional/*

%files skin-nCut
%defattr(-,root,root)
%dir %{_datadir}/%{name}/skins/nCut
%{_datadir}/%{name}/skins/nCut/*

%files skin-Collusion
%defattr(-,root,root)
%{_datadir}/%{name}/skins/Collusion*

%changelog
* Sat Aug 16 2008 Carsten Schoene <cs@linux-administrator.com> - 1.6.0-2
- initial SLE_10 import

